## matplotlib 1.5.0~rc2

=== debian/changelog ===
matplotlib (1.5.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
    - Lena Söderberg image has been removed; Closes: #794854
    - include source for minified JS libraries; Closes: #788730
  * debian/rules
    - replace JS libraries in all the py3k version of the package; thanks to
      Barry Warsaw for the report and patch; Closes: #792310
  * debian/copyright
    - updated for new upstream code
  * debian/patches/*
    - refresh/remove patches for new uptream code
  * debian/control
    - add cycler to b-d (bin pkgs depends are detected by dh_python2)
    - add ipython to b-d, ipython_console_highlighting is required to build doc
  * debian/patches/10ef9a7e26dc34328b7ec7fd0ed2c2db6104b342.patch
    - upstream patch to fix Qt4/Qt5 detection (tests failed)
  * debian/patches/9bc518230684b3a8bb69af60e160f90e1091cd0c.patch
    - fix encoding for Stéfan van der Walt name, using a single-codepoint
      encoding (Matplotlib.pdf creation failed)

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Oct 2015 20:24:36 +0100

matplotlib (1.4.3-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/CVE-2013-1424.patch
    - dropped, merged upstream
  * debian/rules
    - remove embedded CXX, this should avoid accidental usage even though we set
      to ues the system installed one
    - remove the contents of baseline_images, but not the directory itself,
      which is required by matplotlib.tests; Closes: #779847
  * debian/copyright
    - drop copyright for pyparsing, no longer included in upstream tarball

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2015 02:22:49 +0100

matplotlib (1.4.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - extend packaging copyright years
  * debian/patches/test_backend_with_timeout.patch
    - removed, merged upstream
  * debian/{control, patches/bts613818_use_system_pycxx.patch}
    - use Debian version of PyCXX, instead of the bundled one; thanks to Julian
      Taylor for the report and the work on Debian PyCXX side: Closes: #613818
  * debian/watch
    - download tarball from GitHub
  * debian/patches/CVE-2013-1424.patch
    - fix a buffer overrun in mplutils Printf(), addressing CVE-2013-1424;
      thanks to Matt Giuca for the patch; Closes: #775691
  * debian/control
    - added locales-all to b-d, needed to ensure en_US.UTF-8 locale is
      available, required by test suite
  * debian/rules
    - fix a FTBFS when building twice in a row

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Feb 2015 00:08:01 +0000

=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7),
               dh-python,
               dvipng,
               ghostscript,
               graphviz,
               inkscape,
               ipython,
               libfreetype6-dev,
               libgtk2.0-dev,
               libpng-dev,
               locales-all,
               python-all-dbg (>= 2.4.4-6),
               python-all-dev (>= 2.3.5-7),
               python3-all-dbg,
               python3-all-dev,
               python-cycler,
               python3-cycler,
               python-dateutil,
               python3-dateutil,
               python-cairocffi,
               python3-cairocffi,
               python-cxx-dev,
               python3-cxx-dev,
               python-gi,
               python3-gi,
               python-gtk2-dev,
               python-imaging,
               python-mock,
               python3-mock,
               python-nose,
               python3-nose,
               python-numpy,
               python-numpy-dbg,
               python-numpydoc,
               python3-numpy,
               python3-numpy-dbg,
               python-pkg-resources,
               python3-pkg-resources,
               python-pyparsing (>= 1.5.6),
               python3-pyparsing (>= 1.5.6),
               python-qt4,
               python3-pyqt4,
               python-pyqt5,
               python3-pyqt5,
               python-setuptools,
               python3-setuptools,
               python-six (>= 1.4),
               python3-six (>= 1.4),
               python-sphinx (>= 1.0.7+dfsg),
               python-tk (>= 2.5.2-1.1),
               python-tk-dbg (>= 2.5.2-1.1),
               python3-tk,
               python3-tk-dbg,
               python-tornado,
               python3-tornado,
               python-tz,
               python3-tz,
               python-wxgtk3.0,
               python-xlwt,
               tcl8.6-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.6-dev,
               xauth,
               xvfb,
               zlib1g-dev
XS-Python-Version: all
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Homepage: http://matplotlib.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/matplotlib/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/matplotlib/trunk/
XS-Testsuite: autopkgtest

Package: python-matplotlib
Architecture: any
Depends: python-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python-pyparsing (>= 1.5.6),
         python-tz,
         libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-glade2,
            python-imaging,
            python-tk (>= 2.5.2-1.1)
Enhances: ipython
Suggests: dvipng,
          gir1.2-gtk-3.0,
          ghostscript,
          inkscape,
          ipython (>= 0.6.3),
          librsvg2-common,
          python-cairocffi,
          python-configobj,
          python-excelerator,
          python-gobject,
          python-gtk2,
          python-matplotlib-doc,
          python-nose,
          python-qt4,
          python-scipy,
          python-sip,
          python-tornado,
          python-traits (>= 2.0),
          python-wxgtk3.0,
          texlive-extra-utils,
          texlive-latex-extra,
          ttf-staypuft
Description: Python based plotting system in a style similar to Matlab
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.

Package: python3-matplotlib
Architecture: any
Depends: python3-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python3-pyparsing (>= 1.5.6),
         python3-six (>= 1.4),
         python3-tz,
         libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil,
            python3-tk
Enhances: ipython3
Suggests: dvipng,
          gir1.2-gtk-3.0,
          ghostscript,
          inkscape,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairocffi,
          python3-gi,
          python3-gi-cairo,
          python3-gobject,
          python3-nose,
          python3-pyqt4,
          python3-scipy,
          python3-sip,
          python3-tornado,
          texlive-extra-utils,
          texlive-latex-extra,
          ttf-staypuft
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-lyx, ${misc:Depends}
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-all-dbg,
         python-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python-matplotlib.

Package: python3-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-all-dbg,
         python3-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension, Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python3-matplotlib.

=== debian/rules ===
#!/usr/bin/make -f

export XDG_RUNTIME_DIR=/tmp

PY2VERS := $(shell pyversions -v -r debian/control)
PY3VERS := $(shell py3versions -v -r debian/control)
DEFPY := $(shell pyversions -v -d)
PY_PLATFORM := $(shell python -c 'from distutils.util import get_platform; print get_platform()')
pd := python-matplotlib-doc
p := python-matplotlib
p3 := python3-matplotlib
pdata := python-matplotlib-data
pdbg := python-matplotlib-dbg
p3dbg := python3-matplotlib-dbg

# build
build: build-arch build-indep

build-indep: build-indep-stamp
build-indep-stamp: $(DEFPY:%=build-%-stamp)
	dh_testdir

	# build the doc
	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )

	touch $@

build-arch: $(PY2VERS:%=build-%-stamp) $(PY3VERS:%=build-%-stamp)

build-%-stamp:
	dh_testdir

	cp -f debian/setup.cfg setup.cfg
	python$* ./setup.py build $(PY_BUILD_FLAGS)
	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend      : TkAgg" > matplotlibrc
	-PYTHONPATH=$(shell python$* -c "from distutils.command.build import build ; \
	                                from distutils.core import Distribution ; \
					b = build(Distribution()) ; \
					b.finalize_options() ; \
					print(b.build_platlib)") \
	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
	MPLCONFIGDIR=. \
		xvfb-run -a python$* -c "import matplotlib as m ; m.test(verbosity=1)"

	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
	                                    from distutils.core import Distribution ; \
					    b = build(Distribution()) ; \
					    b.finalize_options() ; \
					    print(b.build_platlib)") \
	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
	MPLCONFIGDIR=. \
		xvfb-run -a python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
	rm -f matplotlibrc
endif

	touch $@


# clean
clean:
	dh_testdir
	dh_testroot
	
	for i in $(PY2VERS) $(PY3VERS); do \
		python$(i) ./setup.py clean --all; \
		python$(i)-dbg ./setup.py clean --all; \
	done

	# clean the doc
	-( cd doc ; ./make.py clean )

	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
	rm -rf doc/build doc/examples
	rm -f doc/mpl_examples/api/*.png
	rm -f doc/mpl_examples/pylab_examples/*.png
	rm -f doc/mpl_examples/pylab_examples/*.pdf
	rm -f doc/mpl_examples/units/*.png
	rm -f doc/pyplots/tex_demo.png
	rm -f doc/_static/matplotlibrc
	rm -f doc/_templates/gallery.html

	find . -name '*.pyc' -exec rm {} \;

	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
	rm -rf build
	rm -rf lib/matplotlib.egg-info

	# restore "pristine" doc/matplotlibrc
	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc

	# remove doc symlinks to examples directory
	rm -rf doc/mpl_examples
	rm -rf doc/mpl_toolkits/axes_grid/examples

	# build twice in a row
	rm -rf doc/tex.cache/ fontList.py3k.cache result_images/ test_cache/ tex.cache/ examples/pylab_examples/test.xls
	rm -rf doc/finance.cache/ doc/fontList.cache fontList.cache

	# remove embedded CXX to prevent it to be picked up
	rm -rf extern/CXX/

# install
install-arch: build-arch $(PY2VERS:%=install-%-stamp) $(PY3VERS:%=install-py3-%-stamp)
	dh_testdir
	dh_testroot
	dh_numpy
	dh_numpy3

install-%-stamp: build-%-stamp
	dh_testdir
	dh_testroot

	python$* ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/ --no-compile
	python$* ./setup.py install_egg_info \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/
	python$*-dbg ./setup.py install_lib \
		-d $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/ --no-compile

	find debian/$(pdbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(pdbg) -depth -empty -exec rmdir {} \;

	# don't install baseline_images, needed for tests only, but huge
	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/*-packages/matplotlib/tests/baseline_images/*

	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	# replace minified jquery with packaged version and hope it works
	for i in $(PY2VERS); do \
	    dh_link -ppython-matplotlib usr/share/javascript/jquery/jquery.min.js \
	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
	done

	touch $@

install-py3-%-stamp: build-%-stamp
	dh_testdir
	dh_testroot

	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css


	python$* ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ --no-compile
	python$* ./setup.py install_egg_info \
		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/
	python$*-dbg ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/ --no-compile

	find debian/$(p3dbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(p3dbg) -depth -empty -exec rmdir {} \;

	# don't install baseline_images, needed for tests only, but huge
	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/*-packages/matplotlib/tests/baseline_images/*

	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	# replace minified jquery with packaged version and hope it works
	for i in $(PY3VERS); do \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery/jquery.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
	    dh_link  -ppython3-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
	done

	touch $@

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep
	dh_install -p $(pdata)
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/pdfcorefonts/readme.txt
	chmod 644 $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/images/*.svg
	# link to fonts in ttf-lyx
	for font in cmex10.ttf cmmi10.ttf cmr10.ttf cmsy10.ttf ; \
	do \

## matplotlib 1.5.1~rc1

=== debian/changelog ===
matplotlib (1.5.1~rc1-1ubuntu3) xenial; urgency=medium

  * (cherry pick from Debian) Drop dbg packages from wxagg test deps,
    as this doesn't exist for wxgtk3.0.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Mar 2016 03:00:39 -0700

matplotlib (1.5.1~rc1-1ubuntu2) xenial; urgency=medium

  * Update test dependencies to match the build dependencies
    (wxgtk2.8->wxgtk3.0).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Mar 2016 02:57:35 -0700

matplotlib (1.5.1~rc1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Build-depend on language-pack-en-base instead of locales-all.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 16:34:24 +0100

matplotlib (1.5.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    - initialize correctly the Qt4 backend; Closes: #802600
    - install the baseline images, needed to import the 'testing' submodules;
      Closes: #779847
  * debian/copyright
    - extend packaging copyright years
    - add/remove stanzas for new upstream code
  * debian/rules
    - run tests using tests.py, and disable those accessing the network
    - increase verbosity of the tests
  * Build & install only the HTML version of the doc (no more PDF)
  * debian/control
    - add ttf-bitstream-vera to -data depends; Closes: #802776
  * debian/patches/*bts800803*
    - Disable the GitHub "Fork Me" ribbon, the access to the Raleway font
      through the Google Fonts API, and the Google Analytics tracking code;
      Closes: #800803

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jan 2016 18:44:51 +0000

matplotlib (1.5.0~rc2-1ubuntu3) xenial; urgency=medium

  * debian/patches/0001-FIX-mro-issue-with-pyside-pyqt4.patch: Cherry-pick
    upstream patch to fix autopkgtest failure on -dbg pythons. (LP: #1512190)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 03 Nov 2015 13:10:39 +0000

matplotlib (1.5.0~rc2-1ubuntu2) xenial; urgency=medium

  * Actually change the dependency.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 27 Oct 2015 17:31:23 -0400

matplotlib (1.5.0~rc2-1ubuntu1) xenial; urgency=medium

  * Build-depend on language-pack-en-base instead of locales-all.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 27 Oct 2015 17:28:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7),
                dh-python,
@@ -13,7 +14,7 @@
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
-               locales-all,
+               language-pack-en-base,
                python-all-dbg (>= 2.4.4-6),
                python-all-dev (>= 2.3.5-7),
                python3-all-dbg,
@@ -74,8 +75,8 @@
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.6
 Homepage: http://matplotlib.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/matplotlib/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/matplotlib/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/matplotlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/matplotlib.git
 XS-Testsuite: autopkgtest
 
 Package: python-matplotlib
@@ -167,7 +168,7 @@
 
 Package: python-matplotlib-data
 Architecture: all
-Depends: fonts-lyx, ${misc:Depends}
+Depends: fonts-lyx, ${misc:Depends}, ttf-bitstream-vera
 Description: Python based plotting system (data package)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to

## matplotlib 1.5.1

=== Makefile ===
# Makefile for matplotlib

PYTHON = `which python`
VERSION = `${PYTHON} setup.py --version`

DISTFILES = API_CHANGES KNOWN_BUGS INSTALL README license	\
	CHANGELOG Makefile INTERACTIVE			\
	MANIFEST.in lib lib/matplotlib lib/dateutil lib/pytz examples setup.py

RELEASE = matplotlib-${VERSION}


clean:
	${PYTHON} setup.py clean;\
	rm -f *.png *.ps *.eps *.svg *.jpg *.pdf
	find . -name "_tmp*.py" | xargs rm -f;\
	find . \( -name "*~" -o -name "*.pyc" \) | xargs rm -f;\
	find unit \( -name "*.png" -o -name "*.ps"  -o -name "*.pdf" -o -name "*.eps" \) | xargs rm -f
	find . \( -name "#*" -o -name ".#*" -o -name ".*~" -o -name "*~" \) | xargs rm -f


release: ${DISTFILES}
	rm -f MANIFEST;\
	${PYTHON} license.py ${VERSION} license/LICENSE;\
	${PYTHON} setup.py sdist --formats=gztar,zip;

pyback:
	tar cvfz pyback.tar.gz *.py lib src examples/*.py  unit/*.py


_build_osx105:
	CFLAGS="-Os -arch i386 -arch ppc" LDFLAGS="-Os -arch i386 -arch ppc" python setup.py build

build_osx105:
	echo "Use 'make -f fetch deps mpl_install instead'"


jdh_doc_snapshot:
	git pull;\
	python setup.py install --prefix=~/dev;\
	cd doc;\
	rm -rf build;\
	python make.py clean;\
	python make.py html latex sf sfpdf;


test:
	${PYTHON} setup.py test


test-coverage:
	${PYTHON} setup.py test --with-coverage --cover-package=matplotlib

=== debian/changelog ===
matplotlib (1.5.1-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on language-pack-en-base instead of locales-all.
    - Closes LP: #1559761

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 21 Mar 2016 17:38:22 -0400

matplotlib (1.5.1-1) unstable; urgency=medium

  [ Julian Taylor ]
  * debian/tests/control: test against wxWidgets 3.0
    - remove -dbg packages from wxagg test, not available anymore

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - add ffmpeg to Suggests, Required for the animation module to be save out
      put to movie formats

 -- Sandro Tosi <morph@debian.org>  Sun, 07 Feb 2016 19:36:29 +0000

=== debian/control ===
--- 
+++ 
@@ -95,6 +95,7 @@
             python-tk (>= 2.5.2-1.1)
 Enhances: ipython
 Suggests: dvipng,
+          ffmpeg,
           gir1.2-gtk-3.0,
           ghostscript,
           inkscape,
@@ -139,6 +140,7 @@
             python3-tk
 Enhances: ipython3
 Suggests: dvipng,
+          ffmpeg,
           gir1.2-gtk-3.0,
           ghostscript,
           inkscape,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 	# build the doc
 	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
-		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )
+		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small html )
 
 	touch $@
 
@@ -44,7 +44,7 @@
 					print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run -a python$* -c "import matplotlib as m ; m.test(verbosity=1)"
+		xvfb-run -a python$* tests.py --eval-attr="not network" --verbosity=2
 
 	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
 	                                    from distutils.core import Distribution ; \
@@ -53,7 +53,7 @@
 					    print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run -a python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
+		xvfb-run -a python$*-dbg tests.py --eval-attr="not network" --verbosity=2
 	rm -f matplotlibrc
 endif

=== debian/tests/control ===
Tests: tkagg
Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-tk, python-tk-dbg, python-numpy, python-numpy-dbg, python3-matplotlib, python3-matplotlib-dbg, python3-tk, python3-tk-dbg, python3-numpy, python3-numpy-dbg

Tests: qt4agg
Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-qt4, python-qt4-dbg, python-numpy, python-numpy-dbg, python3-matplotlib, python3-matplotlib-dbg, python3-pyqt4, python3-pyqt4-dbg, python3-numpy, python3-numpy-dbg

Tests: wxagg
Depends: xauth, xvfb, python-matplotlib, python-wxgtk3.0, python-numpy

=== debian/watch ===
version=3
#opts="uversionmangle=s/rc/~rc/" \
#http://sf.net/matplotlib/matplotlib-(.+)\.tar.gz
opts="uversionmangle=s/rc/~rc/,filenamemangle=s/(?:.*)?v?(.*)\.tar\.gz/matplotlib-$1.tar.gz/" \
         https://github.com/matplotlib/matplotlib/tags (?:.*/)?v?(.*)\.tar\.gz

## matplotlib 1.5.2~rc2

=== debian/changelog ===
matplotlib (1.5.2~rc2-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release candidate
  * debian/copyright
    - update upstream licence text
    - add copyright/license for src/_tkmini.h
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Mon, 30 May 2016 19:36:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7),
                dh-python,
@@ -14,7 +13,7 @@
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
-               language-pack-en-base,
+               locales-all,
                python-all-dbg (>= 2.4.4-6),
                python-all-dev (>= 2.3.5-7),
                python3-all-dbg,
@@ -73,9 +72,9 @@
                zlib1g-dev
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://matplotlib.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/matplotlib.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/matplotlib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/matplotlib.git
 XS-Testsuite: autopkgtest

## matplotlib 1.5.3

=== debian/changelog ===
matplotlib (1.5.3-1) unstable; urgency=medium

  * New upstream candidate

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Sep 2016 13:55:18 +0100

matplotlib (1.5.2-1) unstable; urgency=medium

  * New upstream candidate
  * debian/watch
    - recognize only 1.x releases
  * debian/patches/0008-From-655c513a5e5440014677ee5afb08b0efa39f8e16-Mon-Se.patch
    - support PyQt5.7; Closes: #835455

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Sep 2016 18:52:24 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/,filenamemangle=s/(?:.*)?v?(1.*)\.tar\.gz/matplotlib-$1.tar.gz/" \
         https://github.com/matplotlib/matplotlib/tags (?:.*/)?v?(1.*)\.tar\.gz

## matplotlib 2.0.0~rc2

=== debian/changelog ===
matplotlib (2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate for the new version 2.x
  * Upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Dec 2016 19:06:27 -0500

matplotlib (2.0.0~rc1-2) experimental; urgency=medium

  * debian/control
    - temporary disable b-d on pandas, until it resolves its buildability issues
      (see #845734)

 -- Sandro Tosi <morph@debian.org>  Tue, 13 Dec 2016 06:52:49 -0500

matplotlib (2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate for the new version 2.x
  * debian/control
    - add pandas to b-d, needed for tests
    - add subprocess32 to b-d
    - use PIL in b-d instead of imaging, needed for docs
  * debian/copyright
    - update upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2016 12:59:46 -0500

matplotlib (2.0.0~beta4-1) experimental; urgency=medium

  * New upstream beta release for the new version 2.x
  * debian/watch
    - recognize only 2.x releases, and 'b' as a beta release
  * debian/control
    - add python-functools32 to b-d
    - add colorspacious and basemap to b-d, needed by doc
    - set version reqs for cycler to be >= 0.10.0
  * debian/copyright
    - remove refs to six.py, no longer shipped upstream
  * debian/rules
    - use absolute (not relative) paths when building doc
  * debian/python-matplotlib-data.install
    - dont install nib files, removed upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Sep 2016 18:08:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,20 +18,24 @@
                python-all-dev (>= 2.3.5-7),
                python3-all-dbg,
                python3-all-dev,
-               python-cycler,
-               python3-cycler,
+               python-cycler (>= 0.10.0),
+               python3-cycler (>= 0.10.0),
                python-dateutil,
                python3-dateutil,
+               python-colorspacious,
+               python3-colorspacious,
                python-cairocffi,
                python3-cairocffi,
                python-cxx-dev,
                python3-cxx-dev,
+               python-functools32,
                python-gi,
                python3-gi,
                python-gtk2-dev,
-               python-imaging,
                python-mock,
                python3-mock,
+               python-mpltoolkits.basemap,
+               python3-mpltoolkits.basemap,
                python-nose,
                python3-nose,
                python-numpy,
@@ -39,6 +43,10 @@
                python-numpydoc,
                python3-numpy,
                python3-numpy-dbg,
+#               python-pandas,
+#               python3-pandas,
+               python-pil,
+               python3-pil,
                python-pkg-resources,
                python3-pkg-resources,
                python-pyparsing (>= 1.5.6),
@@ -52,6 +60,7 @@
                python-six (>= 1.4),
                python3-six (>= 1.4),
                python-sphinx (>= 1.0.7+dfsg),
+               python-subprocess32,
                python-tk (>= 2.5.2-1.1),
                python-tk-dbg (>= 2.5.2-1.1),
                python3-tk,

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 	dh_testdir
 
 	# build the doc
-	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
-		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small html )
+	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
+		PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small html )
 
 	touch $@

## matplotlib 2.0.0

=== debian/changelog ===
matplotlib (2.0.0-3) unstable; urgency=medium

  * debian/patches/0009-Add-a-newline-separator-in-fc-list-call.patch
    - generate a list of fonts by splitting the output of fc-list by new lines;
      Closes: #852060

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Jan 2017 21:35:45 -0500

matplotlib (2.0.0-2) unstable; urgency=medium

  * debian/control
    - dont break matplotlib binary package in -data, this pervents mpl to be
      built on the buildd network

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Jan 2017 21:25:45 -0500

matplotlib (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - use bakoma fonts shipped with mpl: the fonts from fonts-lyx have been
      changed and some math symbols are not rendered correctly using them:
      Closes: #843656, #831020
    - make sure to maintain the baseline_images dir in tests/ by using a dummy
      file (else dh_python* will remove an empty dir); Closes: #838301
  * debian/control
    - exclude basemap from b-d if build profile is 'stage1', which breaks a
      circular dependency loop and will allow to bootstrap a new arch easier;
      Closes: #849943
    - add breaks to -data for mpl versions before 2.x; Closes: #847468
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Jan 2017 20:12:37 -0500

=== debian/rules ===
--- 
+++ 
@@ -128,6 +128,10 @@
 	# don't install baseline_images, needed for tests only, but huge
 	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
 	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/*-packages/matplotlib/tests/baseline_images/*
+	for d in $(CURDIR)/debian/$(p)/usr/lib/python$*/dist-packages/matplotlib/tests/baseline_images/; do \
+	    mkdir -p $$d; \
+	    touch $$d/.keep; \
+	done
 
 	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/
@@ -169,6 +173,10 @@
 	# don't install baseline_images, needed for tests only, but huge
 	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
 	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/*-packages/matplotlib/tests/baseline_images/*
+	for d in $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/; do \
+	    mkdir -p $$d; \
+	    touch $$d/.keep; \
+	done
 
 	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/
@@ -196,8 +204,3 @@
 	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
 	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
 	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf
-	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/pdfcorefonts/readme.txt
-	chmod 644 $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/images/*.svg
-	# link to fonts in ttf-lyx
-	for font in cmex10.ttf cmmi10.ttf cmr10.ttf cmsy10.ttf ; \
-	do \

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/;s/b/~beta/,filenamemangle=s/(?:.*)?v?(2.*)\.tar\.gz/matplotlib-$1.tar.gz/" \
         https://github.com/matplotlib/matplotlib/tags (?:.*/)?v?(2.*)\.tar\.gz

## matplotlib 2.0.0+dfsg1

=== debian/changelog ===
matplotlib (2.0.0+dfsg1-2) unstable; urgency=medium

  * debian/rules
    - make a failure in the doc build process also fail the package build
  * debian/patches/0010-remove-interpolation_none_vs_nearest.py.patch
    - remove an example (which uses the removed necked_tensile_specimen.png
      image) that made the HTML doc build to fail; Closes: #855029

 -- Sandro Tosi <morph@debian.org>  Tue, 14 Feb 2017 19:48:20 -0500

matplotlib (2.0.0+dfsg1-1) unstable; urgency=medium

  * Import upstream tarball with necked_tensile_specimen.png removed
  * exclude necked_tensile_specimen.png from upstream tarball, as that file
    contains a non-free color calibration profile; Closes: #854280
  * debian/copyright
    - add pdfcorefiles license grant
    - add copyright notices for all AFM fonts
    - add license and copyright notice to TTG BaKoMa fonts files;
      Closes: #854279

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Feb 2017 16:13:26 -0500

=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
                python-gtk2-dev,
                python-mock,
                python3-mock,
-               python-mpltoolkits.basemap,
-               python3-mpltoolkits.basemap,
+               python-mpltoolkits.basemap <!stage1>,
+               python3-mpltoolkits.basemap <!stage1>,
                python-nose,
                python3-nose,
                python-numpy,

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_testdir
 
 	# build the doc
-	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
+	( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 		PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small html )
 
 	touch $@

## matplotlib 2.1.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 
 release: ${DISTFILES}
 	rm -f MANIFEST;\
-	${PYTHON} license.py ${VERSION} license/LICENSE;\
 	${PYTHON} setup.py sdist --formats=gztar,zip;
 
 pyback:

=== debian/changelog ===
matplotlib (2.1.1-2ubuntu3) bionic; urgency=medium

  * Revert previous upload; there are still references to distutils.version,
    but this is part of stdlib unlike the rest of distutils.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Apr 2018 13:20:13 -0700

matplotlib (2.1.1-2ubuntu2) bionic; urgency=medium

  * Add missing dependency on python3-distutils.  Closes: #894502.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Apr 2018 23:03:40 -0700

matplotlib (2.1.1-2ubuntu1) bionic; urgency=medium

  * lib/matplotlib/__init__.py: Drop the unused distutils.sysconfig import.
    Closes: #894502.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Apr 2018 13:35:21 +0200

matplotlib (2.1.1-2) unstable; urgency=medium

  * debian/control
    - add backports.functools-lru-cache to depends; Closes: #887964

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Jan 2018 23:28:44 -0500

matplotlib (2.1.1-1) unstable; urgency=medium

  * New upstream release; Closes: #827361, #872261
  * debian/control
    - replace python-imaging with python-pil; Closes: #866439
    - add pytest (tests) and sphinx-gallery, backports.functools-lru-cache,
      scipy (doc) to b-d
  * debian/rules
    - no longer install upstream CHANGELOG, it was removed from the tarball
    - install tutorials in the -doc pkg, and dont compress .py files
    - pass the right arguments to tests.py, now that it changed
    - dont compress HTML files
    - now doc cleanup works upstream, so comment the manual cleanup commands
  * debian/copyright
    - update extern/libqhull copyright and license
    - drop delaunay copyright/licence notices, removed upstream
    - update packaging copyright years
  * debian/patches/0009-dont-show-badgesidebar.html.patch
    - dont load badgesidebar.html into documentation webpages, so that we dont
      load external resources
  * debian/{control, setup.cfg}
    - stop building GTK/GTKAgg backends, and hence drop GTK2 dependencies;
      Closes: #885511
  * debian/patches/0010-disable-intersphinx.patch
    - disable intersphinx, so doc wont try to access the network during build
  * debian/patches/0011-remove-numpy-scipy-from-reference_url.patch
    - remove scipy and numpy from reference_url for sphinx_gallery, avoiding to
      access the network during doc build
  * debian/patches/20_matplotlibrc_path_search_fix.patch
    - update patch to still look at /etc/matplotlibrc with new upstream code;
      from https://github.com/QuLogic/matplotlib/commit/69b627b8

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Jan 2018 13:39:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7),
                dh-python,
@@ -11,13 +12,13 @@
                inkscape,
                ipython,
                libfreetype6-dev,
-               libgtk2.0-dev,
                libpng-dev,
                locales-all,
                python-all-dbg (>= 2.4.4-6),
                python-all-dev (>= 2.3.5-7),
                python3-all-dbg,
                python3-all-dev,
+               python-backports.functools-lru-cache,
                python-cycler (>= 0.10.0),
                python3-cycler (>= 0.10.0),
                python-dateutil,
@@ -31,7 +32,6 @@
                python-functools32,
                python-gi,
                python3-gi,
-               python-gtk2-dev,
                python-mock,
                python3-mock,
                python-mpltoolkits.basemap <!stage1>,
@@ -51,15 +51,20 @@
                python3-pkg-resources,
                python-pyparsing (>= 1.5.6),
                python3-pyparsing (>= 1.5.6),
+               python-pytest,
+               python3-pytest,
                python-qt4,
                python3-pyqt4,
                python-pyqt5,
                python3-pyqt5,
+               python-scipy,
                python-setuptools,
                python3-setuptools,
                python-six (>= 1.4),
                python3-six (>= 1.4),
                python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx-gallery,
+               python3-sphinx-gallery,
                python-subprocess32,
                python-tk (>= 2.5.2-1.1),
                python-tk-dbg (>= 2.5.2-1.1),
@@ -89,7 +94,8 @@
 
 Package: python-matplotlib
 Architecture: any
-Depends: python-dateutil,
+Depends: python-backports.functools-lru-cache,
+         python-dateutil,
          python-matplotlib-data (>= ${source:Version}),
          python-pyparsing (>= 1.5.6),
          python-tz,
@@ -98,8 +104,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: python-glade2,
-            python-imaging,
+Recommends: python-pil,
             python-tk (>= 2.5.2-1.1)
 Enhances: ipython
 Suggests: dvipng,
@@ -113,7 +118,6 @@
           python-configobj,
           python-excelerator,
           python-gobject,
-          python-gtk2,
           python-matplotlib-doc,
           python-nose,
           python-qt4,

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 					print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run -a python$* tests.py --eval-attr="not network" --verbosity=2
+		xvfb-run -a python$* tests.py --no-network --verbose --full-trace
 
 	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
 	                                    from distutils.core import Distribution ; \
@@ -53,7 +53,7 @@
 					    print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run -a python$*-dbg tests.py --eval-attr="not network" --verbosity=2
+		xvfb-run -a python$*-dbg tests.py --no-network --verbose --full-trace
 	rm -f matplotlibrc
 endif
 
@@ -74,14 +74,14 @@
 	-( cd doc ; ./make.py clean )
 
 	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
-	rm -rf doc/build doc/examples
-	rm -f doc/mpl_examples/api/*.png
-	rm -f doc/mpl_examples/pylab_examples/*.png
-	rm -f doc/mpl_examples/pylab_examples/*.pdf
-	rm -f doc/mpl_examples/units/*.png
-	rm -f doc/pyplots/tex_demo.png
-	rm -f doc/_static/matplotlibrc
-	rm -f doc/_templates/gallery.html
+	#rm -rf doc/build doc/examples
+	#rm -f doc/mpl_examples/api/*.png
+	#rm -f doc/mpl_examples/pylab_examples/*.png
+	#rm -f doc/mpl_examples/pylab_examples/*.pdf
+	#rm -f doc/mpl_examples/units/*.png
+	#rm -f doc/pyplots/tex_demo.png
+	#rm -f doc/_static/matplotlibrc
+	#rm -f doc/_templates/gallery.html
 
 	find . -name '*.pyc' -exec rm {} \;
 
@@ -93,9 +93,9 @@
 	# restore "pristine" doc/matplotlibrc
 	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc
 
-	# remove doc symlinks to examples directory
-	rm -rf doc/mpl_examples
-	rm -rf doc/mpl_toolkits/axes_grid/examples
+	## remove doc symlinks to examples directory
+	#rm -rf doc/mpl_examples
+	#rm -rf doc/mpl_toolkits/axes_grid/examples
 
 	# build twice in a row
 	rm -rf doc/tex.cache/ fontList.py3k.cache result_images/ test_cache/ tex.cache/ examples/pylab_examples/test.xls

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,uversionmangle=s/rc/~rc/;s/b/~beta/,filenamemangle=s/(?:.*)?v?(2.*)\.tar\.gz/matplotlib-$1.tar.gz/" \
         https://github.com/matplotlib/matplotlib/tags (?:.*/)?v?(2.*)\.tar\.gz
